Package org.kapott.hbci.GV_Result

## Class GVRKontoauszug.GVRKontoauszugEntry

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRKontoauszug.GVRKontoauszugEntry

Enclosing class:
  GVRKontoauszug

    public static class GVRKontoauszug.GVRKontoauszugEntry
    extends java.lang.Object

Kapselt einen einzelnen Kontoauszug.

### Constructor Summary

Constructors
`GVRKontoauszugEntry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAbschlussInfo()` Liefert einen optionalen Text mit Informationen zum Rechnungsabschluss.
`java.lang.String` `getBIC()` Speichert die BIC.
`byte[]` `getData()` Liefert die Daten.
`java.util.Date` `getDate()` Liefert das Erstelldatum des Kontoauszuges.
`java.util.Date` `getEndDate()` Liefert das Enddatum des Berichtszeitraums.
`java.lang.String` `getFilename()` Liefert den Dateinamen.
`GVRKontoauszug.Format` `getFormat()` Liefert das Format des Kontoauszuges.
`java.lang.String` `getIBAN()` Liefert die IBAN.
`java.lang.String` `getKundenInfo()` Liefert einen optionalen Text mit Informationen zu den Kundenbedingungen.
`java.lang.String` `getName()` Liefert Auszugsname 1.
`java.lang.String` `getName2()` Liefert Auszugsname 2.
`java.lang.String` `getName3()` Liefert Auszugsname 3.
`int` `getNumber()` Liefert die fortlaufende Nummer des Kontoauszuges.
`byte[]` `getReceipt()` Liefert den Quittungscode.
`java.util.Date` `getStartDate()` Liefert das Startdatum des Berichtszeitraums.
`java.lang.String` `getWerbetext()` Liefert optionalen Werbetext.
`int` `getYear()` Liefert das Jahr des Kontoauszuges.
`void` `setAbschlussInfo​(java.lang.String abschlussInfo)` Speichert einen optionalen Text mit Informationen zum Rechnungsabschluss.
`void` `setBIC​(java.lang.String bic)` Liefert die BIC.
`void` `setData​(byte[] data)` Speichert die Daten.
`void` `setDate​(java.util.Date date)` Speichert das Erstelldatum des Kontoauszuges.
`void` `setEndDate​(java.util.Date endDate)` Speichert das das Enddatum des Berichtszeitraums.
`void` `setFilename​(java.lang.String filename)` Speichert den Dateinamen.
`void` `setFormat​(GVRKontoauszug.Format format)` Speichert das Format des Kontoauszuges.
`void` `setIBAN​(java.lang.String iban)` Speichert die IBAN.
`void` `setKundenInfo​(java.lang.String kundenInfo)` Speichert einen optionalen Text mit Informationen zu den Kundenbedingungen.
`void` `setName​(java.lang.String name)` Speichert Auszugsname 1.
`void` `setName2​(java.lang.String name2)` Speichert Auszugsname 2.
`void` `setName3​(java.lang.String name3)` Speichert Auszugsname 3.
`void` `setNumber​(int number)` Speichert die fortlaufende Nummer des Kontoauszuges.
`void` `setReceipt​(byte[] receipt)` Speichert den Quittungscode.
`void` `setStartDate​(java.util.Date startDate)` Speichert das Startdatum des Berichtszeitraums.
`void` `setWerbetext​(java.lang.String werbetext)` Speichert optionalen Werbetext.
`void` `setYear​(int year)` Speichert das Jahr des Kontoauszuges.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GVRKontoauszugEntry

    public GVRKontoauszugEntry()

### Method Detail

#### getStartDate

    public java.util.Date getStartDate()

Liefert das Startdatum des Berichtszeitraums.

Returns:
  das Startdatum des Berichtszeitraums.

#### setStartDate

    public void setStartDate​(java.util.Date startDate)

Speichert das Startdatum des Berichtszeitraums.

Parameters:
  `startDate` - das Startdatum des Berichtszeitraums.

#### getEndDate

    public java.util.Date getEndDate()

Liefert das Enddatum des Berichtszeitraums.

Returns:
  das Enddatum des Berichtszeitraums.

#### setEndDate

    public void setEndDate​(java.util.Date endDate)

Speichert das das Enddatum des Berichtszeitraums.

Parameters:
  `endDate` - das Enddatum des Berichtszeitraums.

#### getIBAN

    public java.lang.String getIBAN()

Liefert die IBAN.

Returns:
  die IBAN.

#### setIBAN

    public void setIBAN​(java.lang.String iban)

Speichert die IBAN.

Parameters:
  `iban` - die IBAN.

#### getBIC

    public java.lang.String getBIC()

Speichert die BIC.

Returns:
  die BIC.

#### setBIC

    public void setBIC​(java.lang.String bic)

Liefert die BIC.

Parameters:
  `bic` - die BIC.

#### getName

    public java.lang.String getName()

Liefert Auszugsname 1.

Returns:
  Auszugsname 1.

#### setName

    public void setName​(java.lang.String name)

Speichert Auszugsname 1.

Parameters:
  `name` - Auszugsname 1.

#### getName2

    public java.lang.String getName2()

Liefert Auszugsname 2.

Returns:
  Auszugsname 2.

#### setName2

    public void setName2​(java.lang.String name2)

Speichert Auszugsname 2.

Parameters:
  `name2` - Auszugsname 2.

#### getName3

    public java.lang.String getName3()

Liefert Auszugsname 3.

Returns:
  Auszugsname 3.

#### setName3

    public void setName3​(java.lang.String name3)

Speichert Auszugsname 3.

Parameters:
  `name3` - Auszugsname 3.

#### getReceipt

    public byte[] getReceipt()

Liefert den Quittungscode. Der kann durchaus binaer sein. Daher Byte-Array.

Returns:
  der Quittungscode.

#### setReceipt

    public void setReceipt​(byte[] receipt)

Speichert den Quittungscode.

Parameters:
  `receipt` - der Quittungscode.

#### getData

    public byte[] getData()

Liefert die Daten.

Returns:
  die Daten.

#### setData

    public void setData​(byte[] data)

Speichert die Daten.

Parameters:
  `data` - die Daten.

#### getDate

    public java.util.Date getDate()

Liefert das Erstelldatum des Kontoauszuges.

Returns:
  das Erstelldatum des Kontoauszuges.

#### setDate

    public void setDate​(java.util.Date date)

Speichert das Erstelldatum des Kontoauszuges.

Parameters:
  `date` - das Erstelldatum des Kontoauszuges.

#### getYear

    public int getYear()

Liefert das Jahr des Kontoauszuges.

Returns:
  das Jahr des Kontoauszuges.

#### setYear

    public void setYear​(int year)

Speichert das Jahr des Kontoauszuges.

Parameters:
  `year` - das Jahr des Kontoauszuges.

#### getNumber

    public int getNumber()

Liefert die fortlaufende Nummer des Kontoauszuges.

Returns:
  die fortlaufende Nummer des Kontoauszuges.

#### setNumber

    public void setNumber​(int number)

Speichert die fortlaufende Nummer des Kontoauszuges.

Parameters:
  `number` - die fortlaufende Nummer des Kontoauszuges.

#### getFilename

    public java.lang.String getFilename()

Liefert den Dateinamen. Optional.

Returns:
  der Dateiname.

#### setFilename

    public void setFilename​(java.lang.String filename)

Speichert den Dateinamen.

Parameters:
  `filename` - der Dateiname.

#### getFormat

    public GVRKontoauszug.Format getFormat()

Liefert das Format des Kontoauszuges.

Returns:
  das Format des Kontoauszuges.

#### setFormat

    public void setFormat​(GVRKontoauszug.Format format)

Speichert das Format des Kontoauszuges.

Parameters:
  `format` - das Format des Kontoauszuges.

#### getAbschlussInfo

    public java.lang.String getAbschlussInfo()

Liefert einen optionalen Text mit Informationen zum Rechnungsabschluss.

Returns:
  ein optionaler Text mit Informationen zum Rechnungsabschluss.

#### setAbschlussInfo

    public void setAbschlussInfo​(java.lang.String abschlussInfo)

Speichert einen optionalen Text mit Informationen zum Rechnungsabschluss.

Parameters:
  `abschlussInfo` - ein optionaler Text mit Informationen zum Rechnungsabschluss.

#### getKundenInfo

    public java.lang.String getKundenInfo()

Liefert einen optionalen Text mit Informationen zu den Kundenbedingungen.

Returns:
  ein optionaler Text mit Informationen zu den Kundenbedingungen.

#### setKundenInfo

    public void setKundenInfo​(java.lang.String kundenInfo)

Speichert einen optionalen Text mit Informationen zu den Kundenbedingungen.

Parameters:
  `kundenInfo` - ein optionaler Text mit Informationen zu den Kundenbedingungen.

#### getWerbetext

    public java.lang.String getWerbetext()

Liefert optionalen Werbetext.

Returns:
  optionaler Werbetext.

#### setWerbetext

    public void setWerbetext​(java.lang.String werbetext)

Speichert optionalen Werbetext.

Parameters:
  `werbetext` - optionaler Werbetext.